Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1353961 - [DOCS] On upgrade 3.1 to 3.2 the user must be logged in
Summary: [DOCS] On upgrade 3.1 to 3.2 the user must be logged in
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 3.2.0
Hardware: All
OS: All
low
medium
Target Milestone: ---
: ---
Assignee: brice
QA Contact: Anping Li
Vikram Goyal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-08 14:27 UTC by rodrigo ramalho
Modified: 2016-07-28 00:23 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-28 00:10:27 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description rodrigo ramalho 2016-07-08 14:27:26 UTC
Document URL: https://docs.openshift.com/enterprise/3.2/install_config/upgrading/automated_upgrades.html#install-config-upgrading-automated-upgrades

Section Number and Name: install-config-upgrading-automated-upgrades

Describe the issue: 
On upgrade 3.1 to 3.2 the user must be logged in (oc login). otherwise the task "Evacuate the nodes" will fail, because it use oadm.

Suggestions for improvement: 
Point that the user must be logged in before run a upgrade.

Additional information:

Comment 1 brice 2016-07-11 11:24:17 UTC
Rodrigo,

I've created a PR for this BZ:

https://github.com/openshift/openshift-docs/pull/2487

Can I ask if you think any more is required for this BZ?

Thanks!

Comment 2 rodrigo ramalho 2016-07-11 22:35:36 UTC
Hi Brice, I think it's fine.
Thank you!

Comment 3 brice 2016-07-12 04:02:37 UTC
Thanks, Rodrigo. I'll go ahead with this.

Comment 4 Anping Li 2016-07-12 08:23:58 UTC
'Evacuate the nodes' is executed on the first master. To log in as adm? Do you means switch to the user with cluster admin role on the first master?  If yes, I think we can use 'you must be logged in as an cluster admin user on the first masters for the upgrade to succeed:

Comment 5 openshift-github-bot 2016-07-13 01:03:45 UTC
Commit pushed to master at https://github.com/openshift/openshift-docs

https://github.com/openshift/openshift-docs/commit/349124a3447f0004655bf2e7856912068841b5c9
Merge pull request #2487 from bfallonf/bz1353961

Bug 1353961 Added step on being logged in to upgrade topic

Comment 6 brice 2016-07-13 01:04:22 UTC
Anping, I see what you mean. I have to changed to your suggestion. I'll move ahead with this.

Thanks!


Note You need to log in before you can comment on or make changes to this bug.